<?xml version="1.0" encoding="UTF-8"?>

<?import java.net.*?>
<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.text.*?>

<GridPane fx:controller="FXMLExampleController" xmlns:fx="http://javafx.com/fxml" alignment="center" hgap="10" vgap="10">
    
    <padding><Insets top="25" right="25" bottom="10" left="25"/></padding>

    <Text text="Welcome"  GridPane.columnIndex="0" GridPane.rowIndex="0" GridPane.columnSpan="2"/>
    
    <Label text="User Name:" GridPane.columnIndex="0" GridPane.rowIndex="1"/>

    <TextField fx:id="userName" GridPane.columnIndex="1" GridPane.rowIndex="1"/>

    <Label text="Password:" GridPane.columnIndex="0" GridPane.rowIndex="2"/>

    <PasswordField fx:id="passwordField" GridPane.columnIndex="1" GridPane.rowIndex="2"/>

    <HBox spacing="10" alignment="bottom_right" GridPane.columnIndex="1" GridPane.rowIndex="4">
        <Button text="Register" onAction="#handleSubmitButtonAction"/>
    </HBox>

    <Text fx:id="actiontarget" GridPane.columnIndex="1" GridPane.rowIndex="6"/>

</GridPane>